Summary: The Ogg bitstream file format library.
Name: libogg
Epoch: 2
Version: 1.2.0
Release: 10%{?dist}
Group: System Environment/Libraries
License: BSD
URL: http://www.xiph.org/
Source0: http://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++

%description
Libogg is a library for manipulating Ogg bitstream file formats.
Libogg supports both making Ogg bitstreams and getting packets from
Ogg bitstreams.

%lib_package ogg 0

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

cat > develfiles.list << EOF
%doc doc/*.html doc/*.txt doc/*.png doc/libogg
EOF

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES COPYING README

%changelog
* Wed Apr 28 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:1.2.0-10
- Update to 1.2.0.

* Sat Aug 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:1.1.4-9
- Update to 1.1.4.

* Fri Dec  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.3.

* Wed Sep 29 2004 Colin Walters <walters@redhat.com> 2:1.1.2-1
- Update to 1.1.2
- Delete upstreamed libogg-1.1-64bit.patch
- Delete upstreamed libogg-underquoted.patch

* Thu Jul 15 2004 Tim Waugh <twaugh@redhat.com> 2:1.1-4
- Fixed warnings in shipped m4 file.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Dec 11 2003 Bill Nottingham <notting@redhat.com> 2:1.1-1
- update to 1.1

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 2:1.0-5.1
- build for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Bill Nottingham <notting@redhat.com> 2:1.0-3
- fix ogg.m4

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 2:1.0-2
- remove unpackaged files from the buildroot

* Fri Jul 18 2002 Bill Nottingham <notting@redhat.com> 1.0-1
- one-dot-oh

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  1 2002 Bill Nottingham <notting@redhat.com>
- update to 1.0rc3

* Mon Aug 13 2001 Bill Nottingham <notting@redhat.com>
- update to 1.0rc2

* Fri Jul  6 2001 Bill Nottingham <notting@redhat.com>
- own %%{_includedir}/ogg

* Tue Jun 19 2001 Bill Nottingham <notting@redhat.com>
- update to 1.0rc1

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix license tag

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- beta4

* Tue Feb  6 2001 Bill Nottingham <notting@redhat.com>
- update CVS in prep for beta4

* Thu Dec 27 2000 Bill Nottingham <notting@redhat.com>
- update CVS

* Tue Dec 11 2000 Bill Nottingham <notting@redhat.com>
- fix bogus group

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Bill Nottingham <notting@redhat.com>
- clean up specfile slightly

* Sat Sep 02 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
